
Redmine - Patch #31556

Update Rouge to 3.12.0

2019-06-12 08:21 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.1.0   

Description

https://github.com/rouge-ruby/rouge/releases/tag/v3.4.0

Changelog: https://github.com/rouge-ruby/rouge/blob/v3.4.0/CHANGELOG.md#version-340-2019-06-12

Associated revisions

Revision 18258 - 2019-06-16 12:46 - Go MAEDA

Update Rouge to 3.4.1 (#31556).

Patch by Marius BALTEANU and Go MAEDA.

Revision 18319 - 2019-06-26 10:19 - Go MAEDA

Update Rouge to 3.5.1 (#31556).

Revision 18352 - 2019-08-05 02:02 - Go MAEDA

Update Rouge to 3.7.0 (#31556).

Patch by Marius BALTEANU.

Revision 18369 - 2019-08-14 07:23 - Go MAEDA

Update Rouge to 3.8.0 (#31556).

Patch by Go MAEDA.

Revision 18382 - 2019-08-21 03:16 - Go MAEDA

Update Rouge to 3.9.0 (#31556).

Revision 18424 - 2019-09-04 02:40 - Go MAEDA

Update Rouge to 3.10.0 (#31556).

Revision 18482 - 2019-09-19 18:07 - Go MAEDA

Update Rouge to 3.11.0 (#31556).

Revision 18710 - 2019-10-17 16:47 - Go MAEDA

Update Rouge to 3.12.0 (#31556).

History

#1 - 2019-06-12 08:22 - Marius BĂLTEANU

There is a failing test: https://gitlab.com/redmine-org/redmine/-/jobs/229555710

#2 - 2019-06-13 09:07 - Marius BĂLTEANU

- File 0001-Update-rouge-to-3.4.1.patch added

- Subject changed from Update Rouge to 3.4.0 to Update Rouge to 3.4.1

Same fail with 3.4.1: https://gitlab.com/redmine-org/redmine/-/jobs/230187783
#3 - 2019-06-13 09:20 - Go MAEDA

- File 31556-update-test.patch added

This is due to the change https://github.com/rouge-ruby/rouge/pull/1165/. Rouge changed the CSS class for quotation marks in 3.4.0, so we can

simply update the test.

By the way, how about delivering this in 4.1.0 instead of 4.2.0?

#4 - 2019-06-13 10:02 - Marius BĂLTEANU

Go MAEDA wrote:

This is due to the change https://github.com/rouge-ruby/rouge/pull/1165/. Rouge changed the CSS class for quotation marks in 3.4.0, so we can

simply update the test.

By the way, how about delivering this in 4.1.0 instead of 4.2.0?

 Now that 3.4.1 is out with a hot fix, I think it is safe.

#5 - 2019-06-13 10:22 - Go MAEDA

- Target version changed from 4.2.0 to 4.1.0

Setting the target version to 4.1.0.

#6 - 2019-06-16 12:47 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thanks.

#7 - 2019-06-26 03:00 - Go MAEDA

- Subject changed from Update Rouge to 3.4.1 to Update Rouge to 3.5.1

- Status changed from Closed to Reopened

Rouge 3.5.1 has been released on July 25th.

It passed all the tests. I think we can update Rouge to 3.5.1.

diff --git a/Gemfile b/Gemfile

index ecd3bd150..4b7350e40 100644

--- a/Gemfile

+++ b/Gemfile

@@ -3,7 +3,7 @@ source 'https://rubygems.org'

 gem "bundler", ">= 1.5.0" 

 gem "rails", "5.2.3" 

-gem "rouge", "~> 3.4.1" 

+gem "rouge", "~> 3.5.1" 

 gem "request_store", "1.0.5" 

 gem "mini_mime", "~> 1.0.1" 

 gem "actionpack-xml_parser" 

#8 - 2019-06-26 10:19 - Go MAEDA

- Status changed from Reopened to Closed

Updated Rouge to 3.5.1 in r18319.

#9 - 2019-08-04 21:53 - Marius BĂLTEANU

- File 0001-Bump-rouge-to-3.7.0.patch added

- Subject changed from Update Rouge to 3.5.1 to Update Rouge to 3.7.0

- Status changed from Closed to Reopened

Rouge 3.6.0 and 3.7.0 Changelog: https://github.com/rouge-ruby/rouge/blob/master/README.md
Tests pass: https://gitlab.com/redmine-org/redmine/pipelines/74619202

#10 - 2019-08-05 02:02 - Go MAEDA

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

Rouge 3.6.0 and 3.7.0 Changelog: https://github.com/rouge-ruby/rouge/blob/master/README.md

Tests pass: https://gitlab.com/redmine-org/redmine/pipelines/74619202

 Committed the patch. Thanks.

#11 - 2019-08-14 07:05 - Go MAEDA

- Subject changed from Update Rouge to 3.7.0 to Update Rouge to 3.8.0

- Status changed from Closed to Reopened

Rouge 3.8.0 has been released on 2019-08-07.

https://github.com/rouge-ruby/rouge/blob/master/CHANGELOG.md#version-380-2019-08-07

diff --git a/Gemfile b/Gemfile

index 4dc35ee83..e7ba3f4ae 100644

--- a/Gemfile

+++ b/Gemfile

@@ -3,7 +3,7 @@ source 'https://rubygems.org'

 gem "bundler", ">= 1.5.0" 

 gem "rails", "5.2.3" 

-gem "rouge", "~> 3.7.0" 

+gem "rouge", "~> 3.8.0" 

 gem "request_store", "1.0.5" 

 gem "mini_mime", "~> 1.0.1" 

 gem "actionpack-xml_parser" 

diff --git a/test/unit/lib/redmine/syntax_highlighting/rouge_test.rb b/test/unit/lib/redmine/syntax_highlighti

ng/rouge_test.rb

index 16387966c..7df35ca64 100644

--- a/test/unit/lib/redmine/syntax_highlighting/rouge_test.rb

+++ b/test/unit/lib/redmine/syntax_highlighting/rouge_test.rb

@@ -24,7 +24,7 @@ class Redmine::SyntaxHighlighting::RougeTest < ActiveSupport::TestCase

     to_test = {

       'application.js' => true,

       'Gemfile' => true,

-      'AUTOEXEC.BAT' => false,  # Rouge does not support BAT files

+      'HELLO.CBL' => false,   # Rouge does not support COBOL

       'HELLO.C' => true

     }

     to_test.each do |filename, expected|

#12 - 2019-08-14 07:24 - Go MAEDA

- Status changed from Reopened to Closed

Updated Rouge to 3.8.0 in r18369.

#13 - 2019-08-21 03:16 - Go MAEDA

- Subject changed from Update Rouge to 3.8.0 to Update Rouge to 3.9.0

Updated Rouge to 3.9.0 in r18382.

#14 - 2019-09-04 02:40 - Go MAEDA

Updated Rouge to 3.10.0 in r18424.

#15 - 2019-09-04 02:41 - Go MAEDA

- Subject changed from Update Rouge to 3.9.0 to Update Rouge to 3.10.0

#16 - 2019-09-19 18:08 - Go MAEDA
- Subject changed from Update Rouge to 3.10.0 to Update Rouge to 3.11.0

Updated Rouge to 3.11.0 in r18482.

#17 - 2019-10-17 16:48 - Go MAEDA

- Subject changed from Update Rouge to 3.11.0 to Update Rouge to 3.12.0

Updated Rouge to 3.12.0 in r18710.

Files

0001-Update-rouge-to-3.4.0.patch 602 Bytes 2019-06-12 Marius BĂLTEANU

0001-Update-rouge-to-3.4.1.patch 602 Bytes 2019-06-13 Marius BĂLTEANU

31556-update-test.patch 1004 Bytes 2019-06-13 Go MAEDA

0001-Bump-rouge-to-3.7.0.patch 599 Bytes 2019-08-04 Marius BĂLTEANU
